You are not logged in.

#1 2019-10-06 12:59:49

ukbeast89
Member
Registered: 2017-07-31
Posts: 8

lib32-gstreamer update for wine.

lib32-gstreamer has not been updated for a while now and requires lib32-graphene & lib32-qt5-base to compile against.

I have successfully created a lib32-graphene, but now I need help in making a lib32-qt5-base PKGBUILD for package lib32-gst-plugins-base-libs.

https://www.archlinux.org/packages/extr … base-libs/

Offline

#2 2019-10-06 13:26:55

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 7,295

Re: lib32-gstreamer update for wine.

gstreamer itself doesn't require graphene or qt5-base, gst-plugins-base does.

Are you trying to convert the x86_64 PKGBUILD to multilib or did you start with the (outdated) lib32-* PKGBUILDS ?

If the former, I'd suggest switching to the latter.
Creating multilib PKGBUILDs from x86_64 is hard.

Please benefit from the work of others before you and start from the working lib32 versions .

Last edited by Lone_Wolf (2019-10-06 13:28:07)


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#3 2019-10-06 13:34:35

ukbeast89
Member
Registered: 2017-07-31
Posts: 8

Re: lib32-gstreamer update for wine.

I'm updating all lib32-gstreamer packages, using PKGBUILD for all of gstreamer as a rough guide.  (It now uses meson and ninja)

Once I've managed to update all packages, I will email the PKGBUILDs to the maintainer.
Right now, I am stomped on what to do about creating lib32-qt5-base.

Also multlibs irc is dead.

Offline

#4 2019-10-06 15:54:58

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 7,295

Re: lib32-gstreamer update for wine.

No idea about multilib irc, but there are several forum posters with experience with multilib packaging .


I found lib32-qt5 (of which lib32-qt5-base is a subpackage) in the AUR3 archive at https://github.com/aur-archive/lib32-qt5

There's no sign of it in current AUR, so it probably never was migrated.
If you really want to build lib32-qt5 you could try adjusting that.

I looked at gst-plugins-base and it only uses qt5 in the check() function.
I suggest you remove qt5 from checkdepends and try building lib32-gst-plugins-base .

Post the lib32-gst-plugins-base PKGBUILD without any qt5 reference in checkdepeends and makepkg log output.
That way we can help to see which tests fail due to lib32-qt5-base not being present and whether they're worth the effort needed for a lib32-qt5 package.


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

Board footer

Powered by FluxBB